/**
 * String utilities
 * 
 * @author Pierre HUBERT
 */

/**
 * Check a given email address
 * 
 * @param {String} emailAddress The email address to check
 * @return {Boolean} True for a valid email address / false else
 */
export function checkMail(emailAddress: string): boolean {
	return (emailAddress.match(/^[a-zA-Z0-9_.]+@[a-zA-Z0-9-.]{1,}[.][a-zA-Z]{2,8}$/) === null ? false : true);
}

/**
 * Fix text encoding
 * 
 * @param input Input string
 */
export function fixEncoding(input : string) : string {
	return Buffer.from(input, "latin1").toString("utf-8");
}

/**
 * Remove HTML markup codes in a string (<, >)
 * 
 * @param input String to change
 */
export function removeHTMLNodes(input : string) : string {
	return input.replace(/</g, "&lt;")
				.replace(/>/g, "&gt;");
}